def remove_zero(number):
    if isinstance(number, int):
        number_str = str(number)
        number_str = number_str.replace('0', '')
        return int(number_str)
    elif isinstance(number, float):
        number_str = str(number)
        number_str = number_str.replace('0', '')
        return float(number_str)
    else:
        return None
def mirror_number(number):
    if isinstance(number, int):
        return int(str(number)[::-1])
    elif isinstance(number, float):
        return float(str(number)[::-1])
    else:
        return None
    
# Пример использования
k = int(input())
if '0' in str(k):
    print(remove_zero(k))
else:
    print(mirror_number(k))
